Forum:AutoCAD ObjectARX und .NET
Thema:ACAD2019 Verbindung externe EXE (VB.Net) geht nicht mehr :(
Möchten Sie sich registrieren?
Wer darf antworten? Registrierte Benutzer können Beiträge verfassen.
Hinweise zur Registrierung Sie müssen registriert sein, um Beiträge oder Antworten auf Beiträge schreiben zu können.
Ihr Benutzername:
Ihr Kennwort:   Kennwort vergessen?
Anhang:    Datei(en) anhängen  <?>   Anhänge verwalten  <?>
Grafik für den Beitrag:                                                
                                                       
Ihre Antwort:

Fachbegriff
URL
Email
Fett
Kursiv
Durchgestr.
Liste
*
Bild
Zitat
Code

*HTML ist AUS
*UBB-Code ist AN
Smilies Legende
Netiquette

10 20 40

Optionen Smilies in diesem Beitrag deaktivieren.
Signatur anfügen: die Sie bei den Voreinstellungen angegeben haben.

Wenn Sie bereits registriert sind, aber Ihr Kennwort vergessen haben, klicken Sie bitte hier.

Bitte drücken Sie nicht mehrfach auf "Antwort speichern".

*Ist HTML- und/oder UBB-Code aktiviert, dann können Sie HTML und/oder UBB Code in Ihrem Beitrag verwenden.

T H E M A     A N S E H E N
Frank_Schalla

Beiträge: 1684 / 1

DELL M6800
Cad Admin
Methodikentwickler 3D

Hmm nach den Update auf die Version 2019 wollte ich einige Erweiterungen updaten.
Warum kann ich den nun nicht mehr eine externe exe mit einem laufenden Acad Prozess verbinden ??

Folgende Vorgehensweise (wie immer)
Verweise
C:\DEV\Autodesk_ObjectARX_2019_Win_64_and_32_Bit\inc-x64\Autodesk.AutoCAD.Interop.dll
C:\DEV\Autodesk_ObjectARX_2019_Win_64_and_32_Bit\inc-x64\Autodesk.AutoCAD.Interop.Common.dll

Vorgehensweise
Innerhalb von ACADM ist eine Zeichnung geladen
Nun will ich mich über eine externe EXE mit Acad verbinden.
Also im Form_Load das folgende als Test.

********************************************************
Imports System.Reflection

Imports Autodesk.AutoCAD.Interop
Imports Autodesk.AutoCAD.Interop.Common
Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        Dim cadApp As AcadApplication = Nothing

        Dim doc As AcadDocument = Nothing

        cadApp = GetObject(, "AutoCAD.Application")
        MsgBox(cadApp.ActiveDocument.FullName)

'CreateObject("AutoCAD.Application")

    End Sub
End Class
********************************************************

Beim debuggen gibt es aber bei
cadApp = GetObject(, "AutoCAD.Application") einen Fehler

Hat da jemand eine Idee ??

Ich habe das Beispielprojekt mit angehängt und bin für jeden Tip dankbar.

------------------
************************************
 

yamaha

Beiträge: 352 / 4

Autocad/Inventor 2017, Windows 10 64Bit

Hallo Frank,

Deine Frage ist ja schon etwas älter,
trotzdem gesagt.

Ich nutze folgenden Code zum Verbinden,
allerdings von Excel aus per VBA.

cadApp = GetObject(, "AutoCAD.Application.23")

------------------
Gruß Jörn